Migrate EasyApache 3 to EasyApache 4 and ntPHPselector Installation

Here I am  discussing the migration of Easyapache 3 to Easyapache 4 and the ntPHPselector installation ( version 4 )and the things taken care while installing the plugin. The Migration section of WHM’s EasyApache 4 interface (Home >> Software >> EasyApache 4) displays your system’s version of EasyApache and allows you to migrate to and from EasyApache 3 (EA3) and EasyApache 4 (EA4).

Migrate from EA3 to EA4

To migrate your server from EA3 to EA4, perform the following steps:

  • Click EasyApache 4 Migration. A new interface will appear.
  • Click Migrate. A confirmation message will appear.
  • To confirm that you wish to migrate, click Yes, run EasyApache 4 Migration. The system will start the EA4 migration and display the progress log.
  • Click Done. You can also download the progress log for your records.

Revert from EA4 to EA3

To revert your system to EA3 from EA4, perform the following steps:

  • Click Revert. A confirmation message will appear.
  • To confirm that you wish to revert, click Yes, run EasyApache 4 Revert. The system will start the EA4 reversion and display the progress log.
  • Click Done. You can also download the progress log for your records.

Easyapache

EasyApache is software that installs, modifies, and validates your Apache web server, PHP, Tomcat, and other components of your web server. WHM’s EasyApache 3 interface (Home >> Software >> EasyApache 3) provides an interface that allows you to select which components you want EasyApache to install.

EasyApache provides the following benefits:

  • Automatic updates to PHP, Apache, and the modules that you select.
  • Decreased security vulnerabilities due to the automatic updates.
  • Access to configure Apache and PHP via the WHM or command line interfaces.
  • A simplified method to add, remove, or install components of your web server.
  • Recommendations about compatibility.
  • Easy access to information about the options you select.
  • Minimal downtime due to an automatic recovery process. If EasyApache detects an error in the server configuration and it is unable to automatically correct it, then EasyApache will revert your server to the previously working configuration.

EasyApache 4

EasyApache 4 represents a total overhaul of how cPanel & WHM ships and maintains our Apache and PHP distribution. It helps us to  install, configure, update, and validate your web server, PHP, and other components of your web server. Your cPanel & WHM license includes the EasyApache software. cPanel & WHM installs EA4 by default on new installations of systems that run cPanel & WHM version 58 or higher.

EasyApache 4 offers the following improvements over EasyApache 3:

  • Binary packages
  • Software collections
  • Path reorganization
  • MultiPHP support
  • Post-update actions

ntPHPselector with Easyapache 3 and Easyapache version 4

Due to the major changes in the Easyapache, we have separated the ntPHPselector installation scripts for both the versions and You can check the details from the following link;

ntPHPselector ( supports Easyapache 3)
ntPHPselector version 4 ( Supports Easyapache 4 )

Due to funding issues, there is a long delay in the development of ntPHPselector. So we are adding a small amount of yearly subscription to our plugin now. Also you can contact us for Onetime ntPHPselector installation Support for the new plugin. If you opt for “Onetime ntPHPselector installation support“, our techs will manually install the version 5.3 and integrate it with the plugin. Otherwise, the versions available are from 5.4 only.

(Onetime ntPHPselector Installation Support for ntPHPselector version 4 - $20) + ( Yearly subscription $12 ) = $32 for installing the new plugin in the server.

You can order the plugin ntPHPselector form the plugins page and you will get the license for the plugin and the installation instructions in the welcome mail.

Migration of ntPHPselector from Easyapache 3 to Easyapache 4

You need to follow the steps to migrate the ntPHPselector

  • Remove ntPHPselector using the script for the Easyapache version 3
  • Migrate Easyapache 3 to Easyapache 4
  • Subscribe for ntPHPselector version 4
  • Once you get the installation instructions, you can proceed with the ntPHPselector installation using the new installation script.

New version will provide php versions from 5.4 only and un-installation of old ntPHPselector will not remove the .htaccess entries added while we select custom php for domains via plugin before, so the sites with older versions will show errors. You need to check the sites which are using older versions and change the php’s to new version. Versions above 5.4 will work like normal.

Migraton service with Easyapache 3 to Easyapache 4 and ntPHPselector installation

We will help you to migrate Easyapache 3 to Easyapache 4 and install the new plugin in your server. You can contact our sales for getting a quote for the migration service and Onetime ntPHPselector Installation Support.

Facebook Comments